<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
    <html>
    <body style="font-family:verdana">
		<h1 style="color:red">Tech Ed Sessions</h1>
		<xsl:apply-templates select="TechEdSessions/TechEd/Categories/Category" />
	</body>
    </html>
</xsl:template>

<xsl:template match="Category">
	<h3 style="color:blue">
		<xsl:value-of select="@Name"/>
	</h3>
	<table style="font-size:8pt" border="1">
		<xsl:apply-templates select="Sessions/Session" />
	</table>
</xsl:template>

	<xsl:template match="Session">
		<tr>
			<td>
				<xsl:value-of select="Title"/>
			</td>
			<td>
				<xsl:value-of select="Speakers"/>
			</td>
		</tr>
	</xsl:template>

</xsl:stylesheet> 

